;******************************************************************************
;	MACROS							<pm_macro.asm>
;******************************************************************************
	nolist

LED		MACRO	arg	;On/Off light-emitting diode
	if	arg == ON
	bsf	PORTA,LED0	;

	else
	bcf	PORTA,LED0	;
	endif
		ENDM

;==============================================================================
;============== MACROS for USB  ===============================================

BUS_OUT		MACRO		;Ready PORTB for output
	bsf     STATUS,RP0      ; select bank 1
	clrf	TRISB-0x80	; PORTB<7:0>:=outputs
	bcf     STATUS,RP0      ; select bank 0
		ENDM
;------------------------------------------------------------------------------
BUS_IN		MACRO		;Ready PORTB for input
	bsf     STATUS,RP0      ; select bank 1
	movlw	0xFF		;
	movwf	TRISB-0x80	; PORTB<7:0>:=inputs
	bcf     STATUS,RP0      ; select bank 0
		ENDM
;------------------------------------------------------------------------------
WR_ADDR		MACRO	arg	;Write Address into CUSB
	movlw   arg		;
	movwf	PORTB		;
	bsf	PORTA,ALE	;
	nop			;
	bcf	PORTA,ALE	;
		ENDM
;------------------------------------------------------------------------------
WR_W_USB	MACRO		;Write W into CUSB
	movwf	PORTB		;
	bcf	PORTA,nWR	;
	nop			;
	bsf	PORTA,nWR	;
		ENDM
;------------------------------------------------------------------------------
WR_CONS		MACRO	arg	;Write Constant into CUSB
	movlw   arg		;
	movwf	PORTB		;
	bcf	PORTA,nWR	;
	nop			;
	bsf	PORTA,nWR	;
		ENDM
;------------------------------------------------------------------------------
WR_REG		MACRO	arg	;Write Data from Register into CUSB
	movf	arg,W		;
	movwf	PORTB		;
	bcf	PORTA,nWR	;
	nop			;
	bsf	PORTA,nWR	;
		ENDM
;------------------------------------------------------------------------------
WR_USB	MACRO addr, data	;load Data into USBN9602 Register 
	movlw	data		;
	movwf	USB_DATA	;
	movlw	addr		;
	call	WR_9602		; pm_100.asm
       	ENDM
;------------------------------------------------------------------------------
RD_DATA		MACRO	arg	;load Register from CUSB
	bcf	PORTA,nRD	;
	nop			;
	movf	PORTB,W		;
	bsf	PORTA,nRD	;
	movwf	arg		;	
		ENDM
;------------------------------------------------------------------------------
GET_RG	MACRO addr, reg		;load Byte into Register from USBN9602
	movlw	addr		;
	call	RD_CUSB		; pm_100.asm
	movwf	reg		;
       	ENDM
;******************************************************************************
	list
